POST api/Referrals

Creates a new referral or updates an existent referral's information.

Request Information

URI Parameters

None.

Body Parameters

ReferralModel
NameDescriptionTypeAdditional information
Name

Name of the referral.

string

None.

IsDefault

Indicates whether the referral is default or not.

boolean

None.

SortOrder

Sort order of the referral.

integer

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Request Formats

application/json, text/json

Sample:
{
  "name": "sample string 1",
  "isDefault": true,
  "sortOrder": 3,
  "id": "af61110a-aa10-49d1-a76e-46575041a7b9",
  "externalId": "sample string 5"
}

application/xml, text/xml

Sample:
<ReferralModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Referrals">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">af61110a-aa10-49d1-a76e-46575041a7b9</Id>
  <IsDefault>true</IsDefault>
  <Name>sample string 1</Name>
  <SortOrder>3</SortOrder>
</ReferralModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'ReferralModel'.

Response Information

Resource Description

ReferralModel
NameDescriptionTypeAdditional information
Name

Name of the referral.

string

None.

IsDefault

Indicates whether the referral is default or not.

boolean

None.

SortOrder

Sort order of the referral.

integer

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Response Formats

application/json, text/json

Sample:
{
  "name": "sample string 1",
  "isDefault": true,
  "sortOrder": 3,
  "id": "4f7090a3-aeda-4ba4-b5c0-f1f049cb746f",
  "externalId": "sample string 5"
}

application/xml, text/xml

Sample:
<ReferralModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Referrals">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">4f7090a3-aeda-4ba4-b5c0-f1f049cb746f</Id>
  <IsDefault>true</IsDefault>
  <Name>sample string 1</Name>
  <SortOrder>3</SortOrder>
</ReferralModel>